Commit
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-drafts/commit \
--header 'Content-Type: application/json' \
--data '
{
"itemId": "<string>",
"version": 4503599627370495,
"name": "<string>",
"categoryId": "<string>",
"productTypeId": "<string>",
"columnsAttributes": {},
"requestKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"guidance": [
{
"text": "<string>",
"assigneeRoleGroupIds": []
}
],
"guidanceRevision": 4503599627370495,
"alternativeName": "<string>"
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-drafts/commit"
payload = {
"itemId": "<string>",
"version": 4503599627370495,
"name": "<string>",
"categoryId": "<string>",
"productTypeId": "<string>",
"columnsAttributes": {},
"requestKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"guidance": [
{
"text": "<string>",
"assigneeRoleGroupIds": []
}
],
"guidanceRevision": 4503599627370495,
"alternativeName": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
itemId: '<string>',
version: 4503599627370495,
name: '<string>',
categoryId: '<string>',
productTypeId: '<string>',
columnsAttributes: {},
requestKey: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
guidance: [{text: '<string>', assigneeRoleGroupIds: []}],
guidanceRevision: 4503599627370495,
alternativeName: '<string>'
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-drafts/commit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"item": {
"id": "<string>",
"projectId": "<string>",
"projectItemSlotId": "<string>",
"name": "<string>",
"catalogFamilyId": "<string>",
"catalogItemId": "<string>",
"materialFinish": {
"id": "<string>",
"name": "<string>",
"isBaseMaterial": true
},
"columnsAttributes": {},
"sourceMeta": {
"url": "<string>",
"selectors": {},
"title": "<string>",
"favicon": "<string>",
"ogImage": "<string>",
"clippedAt": "<string>"
},
"instructionLinks": [
{
"assigneeRoleGroupIds": [
"mfg_vendors"
],
"id": "<string>",
"kind": "instruction",
"text": "<string>",
"position": 123
}
],
"isPrimary": true,
"catalogConnectionMode": "live",
"savedAt": "2023-11-07T05:31:56Z",
"selectedSource": {
"isDefault": true,
"companyName": {},
"officeName": {}
},
"collectionApplication": {
"collection": {
"id": "<string>",
"name": "<string>",
"brand": "<string>",
"region": "<string>",
"generation": 123,
"version": 123,
"navigable": true
},
"entry": {
"id": "<string>",
"label": "<string>",
"productTypeLabel": "<string>"
},
"reference": {
"label": "<string>",
"kind": "catalog_item",
"referenceCode": "<string>"
},
"application": {
"id": "<string>",
"createdAt": "<string>"
},
"content": {
"description": "<string>",
"notes": [
"<string>"
]
},
"governance": {
"mandatoryItem": true,
"designReviewRequired": true,
"optionalManufacturerNames": [
"<string>"
]
}
},
"categoryId": "<string>",
"productTypeId": "<string>",
"kind": "option",
"catalogFamilyStatus": "draft",
"catalogFamilyItemType": "default",
"catalogDecisionEventIds": [
"<string>"
],
"brandStandardId": "<string>",
"refNumber": "<string>",
"affectedParentPiIds": [
"<string>"
],
"version": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"slotColumnsAttributes": {},
"coreChangePolicy": {},
"catalogFamilySourceId": "<string>",
"syncStateCache": {
"hasDiff": true,
"columnsDiff": true,
"partsDiff": {
"hasDiff": true,
"addedLocally": [
"<string>"
],
"removedLocally": [
"<string>"
],
"quantityChanged": [
{
"catalogItemId": "<string>",
"projectQty": "<string>",
"catalogQty": "<string>"
}
]
},
"selectionDiff": {
"familySourceMismatch": true,
"itemSourceMismatch": true
},
"orphanedRefs": {
"family": true,
"item": true,
"familySource": true,
"itemSource": true
},
"computedAt": "<string>",
"componentsDiverged": true
},
"affectedCatalogFamilyId": "<string>"
},
"slotId": "<string>"
}Item Magic Fill
Commit
POST
/
v1
/
workspaces
/
{workspaceId}
/
projects
/
{projectId}
/
item-drafts
/
commit
Commit
Path Parameters
Pattern:
^[1-9]\d*$Pattern:
^[1-9]\d*$Body
application/json
Pattern:
^[1-9]\d*$Required range:
0 < x <= 9007199254740991Required string length:
1 - 200Pattern:
^[1-9]\d*$Pattern:
^[1-9]\d*$Show child attributes
Show child attributes
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Maximum array length:
40Show child attributes
Show child attributes
Required range:
0 <= x <= 9007199254740991Available options:
save_in_project, create_alternative Required string length:
1 - 200Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I